summarylogtreecommitdiffstats
path: root/enotebook.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-15 18:58:56 +0800
committerzxp198210052024-03-15 18:58:56 +0800
commitd6037e25e393ec56d2bf896b76b6b382a6ae0c57 (patch)
treefd0b935b11cc938e6e8f9fa72a00e01ffe9468a5 /enotebook.sh
parent6350d714b7896924a9b5bd06937b1123841458c6 (diff)
downloadaur-d6037e25e393ec56d2bf896b76b6b382a6ae0c57.tar.gz
fix errors
Diffstat (limited to 'enotebook.sh')
-rw-r--r--enotebook.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/enotebook.sh b/enotebook.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/enotebook.sh
+++ b/enotebook.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file